Group: Graphical desktop/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-cmake rpm-macros-fedora-compat
BuildRequires: /usr/bin/gettext pkgconfig(gio-2.0)
# END SourceDeps(oneline)
%define _libexecdir %_prefix/libexec
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global commit 46b5b9e4bfb75fbccc5043b07ef5c76a3cc72ce3
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:          ibus-unikey
Version:       0.6.1
Release:       alt2_35.20190311git46b5b9e
Summary:       Vietnamese engine for IBus input platform

License:       GPL-3.0-only
URL:           https://github.com/vn-input/ibus-unikey/
Source0:       https://github.com/vn-input/ibus-unikey/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
Patch1:        %{name}-2267853-super-space.patch

BuildRequires: ctest cmake
BuildRequires: gcc-c++
BuildRequires: gettext-tools
BuildRequires: libibus-devel libibus-gir-devel
BuildRequires: gtk3-demo libgail3-devel libgtk+3 libgtk+3-devel libgtk+3-gir-devel
BuildRequires: intltool
BuildRequires: pkg-config

Requires: ibus python3-module-ibus-overrides
Source44: import.info

%description
A Vietnamese engine for IBus input platform that uses Unikey.


%prep
%setup -q -n %{name}-%{commit}
%patch1 -p1



%build
%{fedora_v2_cmake}
%fedora_v2_cmake_build

%install
%fedora_v2_cmake_install
%find_lang %{name}


%files -f %{name}.lang
%doc README.md
%doc --no-dereference LICENSE
%{_datadir}/%{name}/
%{_datadir}/ibus/component/unikey.xml
%{_libexecdir}/ibus-engine-unikey
%{_libexecdir}/ibus-setup-unikey
%{_datadir}/glib-2.0/schemas/org.freedesktop.ibus.engine.unikey.gschema.xml

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 0.6.1-alt2_35.20190311git46b5b9e
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 0.6.1-alt2_31.20190311git46b5b9e
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 0.6.1-alt2_30.20190311git46b5b9e
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 0.6.1-alt2_29.20190311git46b5b9e
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 0.6.1-alt2_27.20190311git46b5b9e
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.6.1-alt2_26.20190311git46b5b9e
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.6.1-alt2_25.20190311git46b5b9e
- update to new release by fcimport

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.6.1-alt1_25.20190311git46b5b9e
- update to new release by fcimport

* Wed Mar 25 2020 Igor Vlasenko <viy@altlinux.ru> 0.6.1-alt1_22.20190311git46b5b9e
- update to new release by fcimport

* Sat Mar 02 2019 Igor Vlasenko <viy@altlinux.ru> 0.6.1-alt1_19.20181109git2a4f630
- update to new release by fcimport

* Wed Sep 02 2015 Igor Vlasenko <viy@altlinux.ru> 0.6.1-alt1_9
- new version; moved to Sisyphus for gvy@

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 0.6.1-alt1_7
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.6.1-alt1_6
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.1-alt1_5
- update to new release by fcimport

* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.1-alt1_4
- update to new release by fcimport

* Mon Jan 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.1-alt1_3
- initial fc import

